<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\User;
use App\Models\Role;
use Faker\Factory as Faker;

class UserSeeder extends Seeder
{
  public function run(): void
  {
    // NOTE: most fundamental test user

    $faker = Faker::create();
    User::factory()->create([
      'name' => 'Demo Admin',
      'email' => 'admin@school.com',
      'password' => 'admin',
      'role' => 'admin',
      'remarks' => 'basic demo user',
    ]);

    User::factory()->create([
      'name' => 'Demo Teacher',
      'email' => 'teacher@school.com',
      'password' => 'teacher',
      'role' => 'teacher',
      'remarks' => 'basic demo user',
    ]);

    User::factory()->create([
      'name' => 'Demo Student',
      'email' => 'student@school.com',
      'password' => 'student',
      'role' => 'student',
      'remarks' => 'basic demo user',
    ]);

    User::factory()->create([
      'name' => 'debug',
      'email' => 'debug@school.com',
      'password' => 'debug',
      'role' => 'debug',
      'remarks' => 'basic demo user',
    ]);
  }
}
